<!DOCTYPE html>
<html>
<head>
	<meta charset=utf-8 />
	<title>Wordcamp Toronto - PHP - Locations</title>
	<link rel="stylesheet" href="style.css" type="text/css" media="all">

	<script>window.jQuery || document.write('<script src="\/\/ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"><\/script>')</script>
	<script src="http://bentleyhoke.webfactional.com/embeddablewidgets/recentposts/embed.js"></script>
	<link rel="stylesheet" href="http://bentleyhoke.webfactional.com/embeddablewidgets/recentposts/embed.css" type="text/css" media="all">
	<script src="http://maps.google.com/maps/api/js?sensor=false" type="text/javascript"></script>
	<script type="text/javascript">
		

      	$( document ).ready(function() {
      		var map_canvas = document.getElementById('map');
        	var map_options = {
          		center: new google.maps.LatLng(43.6334,-79.420051),
          		zoom: 11,
          		mapTypeId: google.maps.MapTypeId.ROADMAP
	        }
			var map = new google.maps.Map(map_canvas, map_options);
			var marker;
			var infowindow;
      		var markers = [];
    		var infowindows = [];

	        var title;
	        var lat;
	        var lng;

	        

	        $.ajax({
				url: "http://bentleyhoke.webfactional.com/api/get_category_posts/?slug=locations",
				data: "",
				dataType: "jsonp",
				success:function(result) {
					for (var i = 0; i < result.posts.length; i++) {
						title = result.posts[i].title;
						console.log(title);
						lat = result.posts[i].custom_fields['lat'];
	            		lng = result.posts[i].custom_fields['lng'];
	            		console.log(lat + ", " + lng);
	            		//var myLatLng = new google.maps.LatLng(lat,lng);
	            		infowindow = new google.maps.InfoWindow({
							content: '<p>' + title + '</p>'
						});

			            marker = new google.maps.Marker({
			                position: new google.maps.LatLng(lat,lng),
			                map: map,
			                title: title
			            });

			            google.maps.event.addListener(marker, 'click', (function(marker, i) {
					        return function() {
					          //infowindow.setContent(locations[i][0]);
					          infowindow.open(map, marker);
					        }
					      }) (marker, i));

						/*google.maps.event.addListener(markers[i], 'click', function() {
							return function() {
								infowindows[i].open(map, markers[i]);
							}
						});*/
			            

			            /*google.maps.event.addListener(marker, 'click', function() {
							infowindow.open(map,marker);
						});*/

					}
				}
			});

			

		});

	  </script>
</head>
<body>
<div id="shell">
	<header>
		<img src="logo2013.png" alt="Bentley Hoke" id="logo">
		<div id="logowrapper"><img src="php-logo.png" alt="PHP logo" id="phplogo"></div>
	</header>
	<section class="main">
		<section class="primary">
			<h1>This Ain't Worpress: Locations</h1>
			<div id="map" style="width:100%;height:500px">

			</div>
		</section>
		<aside>
			<div id="bentleyhokecontent" data-numposts="3" data-border="false"></div>
		</aside>
	</section>
	<footer>
		Wordpress as API
		<br>Brian Hoke &middot; @bentleyhoke
	</footer>
</div>
</body>
</html>
